header.header{
  background: $header-bg;
  z-index: 999;
  box-shadow: 7px 15px 25.92px 1.08px rgba(000000, 0, 0, 0.42);

  .header-wrapper{
    padding-top: 33px;
    padding-bottom: 22px;
    @media screen and (max-width: 1023px) {
      padding: 0;
    }
  }
  .logo{
    padding: 10px 0;
    img{
      max-width: 200px;
      height: auto;
    }
  }
  .desclogo{
    position: absolute;
    left: 42%;
    @media screen and (max-width: 1500px) {
      display: none;
    }
    h3{
      font-size: 28px;
      font-weight: bold;
      text-transform: uppercase;
      color: $main-menu-color-hover;
      font-family: $main-menu-font;
      margin-bottom: 2px;
    }
    p{
      text-transform: uppercase;
      font-size: 19px;
      font-weight: bold;
      color: $main-menu-color;
      font-family: $main-menu-font;
      letter-spacing: 13px;
      margin-bottom: 0;
    }
  }
  .open-menu-mobile{
    float: right;
    color: #fff;
    font-size: 38px;
  }
  .open-menu-mobile{
    .d-flex{
      justify-content: flex-end;
    }

  }
  .main-navigation{
    text-align: right;
    .mega-menu{
      display: inline-block;
      vertical-align: middle;
      text-align: left;
      padding: 0;
      margin: 0;
      z-index: 900;
      list-style: none;
      li{
        display: inline-block;
        list-style: none;
        position: relative;
        a{
          display: block;
          font-family: $main-menu-font;
          font-size: 14px;
          font-weight: bold;
          color: $main-menu-color;
          text-transform: uppercase;
          padding:0 23px 0 20px;
          text-decoration: none;
          &:hover{
            color: $main-menu-color-hover;
            text-decoration: underline;
          }
          @media (min-width:1025px) and (max-width: 1450px) {
            font-size: 11px;
          }
        }
        &::after{
          content: '';
          background-color: $main-menu-color;
          width: 10px;
          height: 10px;
          border-radius: 50%;
          position: absolute;
          top: 50%;
          right: 0px;
          transform: translate(0,-50%);
          line-height: 3px;
          vertical-align: middle;
        }
        &:last-child{
          a{
            padding-right: 0;
          }
          &::after{
            display: none;
          }
        }
      }
    }


  }
  @media screen and (max-width: 1199px){
    .main-navigation {
      position: fixed;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      background: #fff;
      z-index: 999999;
      overflow: auto;
      padding-top: 40px;
      transition: all 0.3s;
      visibility: hidden;
      opacity: 0;
      .close-menu-mobile{
        position: absolute;
        right: 15px;
        top: 20px;
        z-index: 999;
        i{
          width: auto;
          height: auto;
          border: none;
          &::before{
            content: '';
            display: block;
            margin: auto;
            width: 17px;
            border-bottom: solid 2px #2e2e2e;
            transform: rotate(45deg);
          }
          &::after{
            content: '';
            display: block;
            margin: auto;
            width: 17px;
            border-bottom: solid 2px #2e2e2e;
            transform: rotate(-45deg);
            margin-top: -2px;
          }
        }
      }
      .mega-menu {
        display: block;
        li{
          display: block;
          text-align: center;
          padding: 0;
          border-top:1px solid #aaa;
          a{
            display: inline-block;
            padding: 10px;
            color: #000;
          }
          &::after{
            display: none;
          }
        }
      }
      &.open{
        opacity: 1;
        visibility: visible;
      }
    }
    &.adminbar{
      .main-navigation{
        top: 32px;
        @media screen and (max-width: 782px){
          top: 0;
        }
      }
    }
  }
  &.sticky{
    .header-wrapper{
      background: $header-bg;
      padding: 0;
      position: fixed;
      top: 0;
      left: 0;
      right: 0;
      z-index: 9999;
      .logo{
        padding: 10px 0;
        margin: 0;
      }
    }
    &.adminbar{
      .header-wrapper{
        top: 32px;
        @media screen and (max-width: 782px){
          top: 0;
        }
      }
    }
  }
}

.onclick{
  display: none;
  color: #fff;
  position: absolute;
  right: 10%;
  top: 20%;
  z-index: 100;

  .span{
    width: 35px;
    height: 5px;
    background-color: #fff;
    margin: 6px 0;
    box-shadow: 3px 4px 5px 0px rgba(0, 0, 0, 0.75);
    text-shadow: 3px 4px 5px rgba(0, 0, 0, 0.75);
  }

  @media screen and (max-width: 1024px){
    display: block;

  }
}
#mySidenav{
  display: none;
  z-index: 999;
  @media screen and (max-width: 1024px){
    display: block;
  }
  .closebtn{
    font-size: 70px;
  }
  .showmenu{
    a{
      color: #fff;
      font-weight: 400;
      font-size: 16px;
      border-top: 1px solid #fff;
      &:hover{
        background-color: #fff;
        color: #000;
      }
    }
  }
}
.sidenav {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: #111;
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 60px;
  a {
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: 25px;
    color: #818181;
    display: block;
    transition: 0.3s;
    &:hover {
      color: #f1f1f1;
    }
  }
  .closebtn {
    position: absolute;
    top: -25px;
    right: 25px;
    font-size: 36px;
    margin-left: 50px;
  }
}

@media screen and (max-height: 450px) {
  .sidenav {
    padding-top: 15px;
    a {
      font-size: 18px;
    }
  }
}